Foreman - Bug #3867

Wrong Compute Resource type shown on overview
12/12/2013 02:02 PM - Hannes Schaller

Status: Closed

Priority: Normal

Assignee: Joseph Magen
Category: Compute resources
Target version: 1.4.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Hello!
Hello!

I am using VMWare vsphere 5.1 and on the /compute_resources page, the Resources are listed as "EC2" (
http://de.tinypic.com/r/9icu14/5 ), despite being shown correctly on /compute_resource/#{item} ( http://de.tinypic.com/r/qx30s3/5 )

It is also displayed as EC2 on the about page: http://de.tinypic.com/r/9h4etu/5

| guess the error is around models/compute_resource.rb:92 in the function "provider_friendly_name".

Cheers
hannes

Related issues:
Related to Foreman - Bug #3138: rovmomi required by a clean install of foreman Closed
Has duplicate Foreman - Bug #3944: VMWare CR mis-identified as EC2 Duplicate

09/23/2013
01/04/2014

Associated revisions

Revision 2ebd2f22 - 01/20/2014 04:57 PM - Joseph Magen

fixes #3867 - Wrong Compute Resource type shown on overview

Revision 9e3a5262 - 01/20/2014 07:09 PM - Joseph Magen

fixes #3867 - Wrong Compute Resource type shown on overview

(cherry picked from commit 2ebd2f227aef16da62c7884065bb9b47a846c9a3)

History

#1 - 12/13/2013 08:38 AM - Dominic Cleal

- Related to Bug #3138: rbvmomi required by a clean install of foreman added

#2 - 12/13/2013 08:38 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#3 - 01/05/2014 08:07 PM - Dominic Cleal
- Has duplicate Bug #3944: VMWare CR mis-identified as EC2 added

#4 - 01/09/2014 02:30 PM - Anonymous

- Target version set to 1.9.2

#5 - 01/20/2014 08:10 AM - Joseph Magen

- Status changed from New to Assigned

05/17/2024
http://de.tinypic.com/r/9icu14/5
http://de.tinypic.com/r/qx3os3/5
http://de.tinypic.com/r/9h4etu/5

- Assignee set to Joseph Magen

#6 - 01/20/2014 08:43 AM - Joseph Magen
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1171

#7 - 01/20/2014 06:31 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 2ebd2f227aef16da62c7884065bb9b47a846c9a3.
